package org.jeecg.modules.system.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lianghao
 * @since 2024/5/10
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class ProductCategoryDTO {

    private String firstCategory;
    private String secondCategory;
    private String thirdCategory;

    public static ProductCategoryDTO from(String firstCategory) {
        return ProductCategoryDTO.builder()
                .firstCategory(firstCategory)
                .build();
    }

    public static ProductCategoryDTO from(String firstCategory, String secondCategory) {
        return ProductCategoryDTO.builder()
                .firstCategory(firstCategory)
                .secondCategory(secondCategory)
                .build();
    }

    public static ProductCategoryDTO from(String firstCategory, String secondCategory, String thirdCategory) {
        return ProductCategoryDTO.builder()
                .firstCategory(firstCategory)
                .secondCategory(secondCategory)
                .thirdCategory(thirdCategory)
                .build();
    }
}
